Retrieves all db_address
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_address| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
The company owner of this address |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating address |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating address |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_type_id |
Foreign key to the db_address_type. Please use controller DbAddressType to find the correct it to use |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string | |
| archived |
You cannot delete an address. The only way is to archive it. |
boolean | |
| name |
Name of the address |
string | |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. Can be not used |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string | |
| mobile |
Cell phone number |
string | |
| fax |
Fax number |
string | |
|
Email address |
string |
Max length: 250 |
|
| url |
Url |
string | |
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "c32f0975-9faa-415f-bb7d-6e5c819955d8",
"company_id": "d8394e5a-dfac-4731-aea4-b474fd4f48d4",
"company_code": "sample string 3",
"db_address_type_id": "b9f6ae92-fd87-4e9f-9d2e-0e1de247e9b3",
"code": "sample string 5",
"archived": true,
"name": "sample string 7",
"street": "sample string 8",
"street_number": "sample string 9",
"zip": "sample string 10",
"city": "sample string 11",
"phone": "sample string 12",
"mobile": "sample string 13",
"fax": "sample string 14",
"email": "sample string 15",
"url": "sample string 16",
"db_country_id": "a67d81fd-a92d-4ac2-9a60-ca922921aab8",
"db_country_code": "sample string 18",
"street2": "sample string 19",
"modified_dateutc": "2026-04-14T05:34:07.2137879+00:00"
}